<?php

class PlaylistController extends BaseController
{
    /**
     * Playlist Repository
     *
     * @var Playlist
     */
    protected $playlist;

    public function __construct(Playlist $playlist)
    {
        $this->playlist = $playlist;
    }

    public function index($id = null)
    {
        $settings = Setting::first();
        $ads = Ads::first();
        $id = isset($id) ? $id : Auth::user()->id;
        $tracks = $this->playlist->where('user_id', '=', $id)->orderBy('id', 'desc')->paginate(10);
        return View::make('playlist.index', array('settings' => $settings, 'ads' => $ads, 'tracks' => $tracks));
    }

    //Get playlist for soundmanger player
    public function getPlaylistLi()
    {
        $settings = Setting::first();
        $tracks = $this->getPlaylist();
        if ($tracks->count() == 0) {
            return;
        } else {
            $li = '';
            foreach ($tracks as $track) {
                $li.='<li class=""><a href="http://api.soundcloud.com/tracks/'.$track->track_id.'/stream?client_id='.$settings->soundcloud_id.'&.mp3">'.$track->title.'</a></li>';
            }

            return '<ul class="sm2-playlist-bd">'.$li.'</ul>';
        }
    }

    //get tracks in playlist
    public function getPlaylist()
    {
        return $this->playlist->where('user_id', '=', Auth::user()->id)->orderBy('id', 'desc')->paginate(10);
    }

    // Add/Delete Track to Playlist
    public function addTrack()
    {
        if (Auth::guest()) {
            return 'login';
        }
        $id = Input::get('track_id');
        $playlist = $this->playlist->where('user_id', '=', Auth::user()->id)->where('track_id', '=', $id)->first();
        if (isset($playlist->id)) {
            //Delete if already added.
            if (Input::get('is_delete') == 'true') {
                $playlist->delete();
                return 'Deleted!';
            }
            return 'Added!';
        } else {
            $title = Input::get('title');
            $title = htmlspecialchars($title);
            $playlist = new Playlist();
            $playlist->user_id = Auth::user()->id;
            $playlist->track_id = $id;
            $playlist->title = $title;
            $playlist->save();
            return 'Saved!';
        }
    }
}
