<?php

use Illuminate\Database\Migrations\Migration;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create(
            'users',
            function ($table) {
                $table->increments('id');
                $table->string('username')->unique();
                $table->boolean('admin')->default(0);
                $table->boolean('active')->default(1);
                $table->string('email')->unique();
                $table->string('password');
                $table->string('activation_code')->nullable();
                $table->string('remember_token')->nullable();
                $table->timestamps();
            }
        );
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('users');
    }
}
