@extends('admin.index')
@section('content')
<div class="tab-content">
	<h1><span class="fa fa-code"></span> {{ Lang::get('words.ad_code') }}</h1>
	<form method="post" action="{{ URL::to('admin') . '/update_adcode' }}" accept-charset="UTF-8">
        <div class="form-group">
            <label for="auth_download" class="col-sm-4 padding0 control-label">{{ Lang::get('words.ajax_loading') }}:</label>
            <div class="col-sm-8 padding0">
                <div class="checkbox">
                    <label class="text-danger">
                    {{ Lang::get('words.ajax_loading_message') }}
                        <input type="checkbox" @if($ads->ajax_loading) checked @endif name="ajax_loading">
                    </label>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
        <div class="form-group">
            <label for="box" class="col-sm-4 control-label padding0">{{ Lang::get('words.box') }}</label>
            <div class="col-sm-8 padding0">
                <textarea class="form-control" name="box">{{ $ads->box }}</textarea>
            </div>
            <div class="clearfix"></div>
        </div>
        <div class="form-group">
            <label for="banner-large" class="col-sm-4 control-label padding0">{{ Lang::get('words.banner_large') }}</label>
            <div class="col-sm-8 padding0">
                <textarea class="form-control" name="banner_large">{{ $ads->banner_large }}</textarea>
            </div>
            <div class="clearfix"></div>
        </div>
        <div class="form-group">
            <label for="banner-mobile" class="col-sm-4 control-label padding0">{{ Lang::get('words.mobile') }}</label>
            <div class="col-sm-8 padding0">
                <textarea class="form-control" name="mobile">{{ $ads->mobile }}</textarea>
            </div>
            <div class="clearfix"></div>
        </div>
        <div class="form-group">
            <label for="skyscrapper" class="col-sm-4 control-label padding0">{{ Lang::get('words.skyscrapper') }}</label>
            <div class="col-sm-8 padding0">
                <textarea class="form-control" name="skyscrapper">{{ $ads->skyscrapper }}</textarea>
            </div>
            <div class="clearfix"></div>
        </div>
        <div class="form-group">
            <label for="adfly-ad" class="col-sm-4 control-label padding0">{{ Lang::get('words.adfly_ad') }} <a target="_blank" href="http://adf.ly/?id=8723303">{{ Lang::get('words.signup') }}</a></label>
            <div class="col-sm-8 padding0">
                <input class="form-control" value="{{ $ads->adfly_ad }}" name="adfly_ad">
            </div>
            <div class="clearfix"></div>
        </div>
        <div class="form-group">
            <label for="ad-center" class="col-sm-4 control-label padding0">{{ Lang::get('words.ad_center') }} <a target="_blank" href="http://ad-center.com/">{{ Lang::get('words.signup') }}</a></label>
            <div class="col-sm-8 padding0">
                <input class="form-control" value="{{ $ads->ad_center }}" name="ad_center">
            </div>
            <div class="clearfix"></div>
        </div>
        <div class="form-group">
            <label for="per-page" class="col-sm-4 control-label padding0">{{ Lang::get('words.ads_per') }}</label>
            <div class="col-sm-8 padding0">
                <input class="form-control" value="{{ $ads->ads_per }}" type="number" name="ads_per">
            </div>
            <div class="clearfix"></div>
        </div>
        <input type="hidden" name="_token" value="{{ csrf_token() }}">
        <button type="submit" class="btn btn-success btn-block"><i class="fa fa-code"></i> {{ Lang::get('words.update_ads') }}</button>
    </form>
	<div style="clear:both"></div>
</div>
@stop
