@extends('admin.index')
@section('content')
<div class="tab-content">
		<h1><span class="fa fa-cog"></span> {{ Lang::get('words.site_settings') }}</h1>
		<form method="POST" action="{{ URL::to('admin/') . '/update_settings' }}" id="media-form" accept-charset="UTF-8" file="1" enctype="multipart/form-data">

				<div class="form-group">
					<label for="website_name" class="col-sm-3 padding0 control-label">{{ Lang::get('words.website_name') }}:</label>
					<div class="col-sm-9 padding0">
						{{ Form::text('website_name', $settings->website_name, array('class'=>'form-control')) }}
					</div>
					<div class="clearfix"></div>
				</div>

				<div class="form-group">
					<label for="website_title" class="col-sm-3 padding0 control-label">{{ Lang::get('words.website_title') }}:</label>
					<div class="col-sm-9 padding0">
						{{ Form::text('website_title', $settings->website_title, array('class'=>'form-control')) }}
					</div>
					<div class="clearfix"></div>
				</div>

				<div class="form-group">
					<label for="website_logo" class="col-sm-3 padding0 control-label">{{ Lang::get('words.logo') }}:</label>
					<div class="col-sm-9 padding0">
						<img height="50" src="{{ URL::asset('assets/images/logo.png') }}" />
						<span class="btn btn-file btn-info">
	                    <i class="fa fa-picture-o"></i>
	                     {{ Lang::get('words.browse_image') }}
	                    <input type="file" name="website_logo" id="logo" />
	                    </span>
					</div>
					<div class="clearfix"></div>
				</div>
				<div class="form-group">
					<label class="col-sm-3 padding0 control-label">{{ Lang::get('words.theme_color') }}:</label>
					<div class="col-sm-9 padding0">
						{{ Form::text('theme_color', $settings->theme_color, array('class'=>'form-control theme-color')) }}
					</div>
					<div class="clearfix"></div>
				</div>
				<div class="form-group">
					<label class="col-sm-3 padding0 control-label">{{ Lang::get('words.player_color') }}:</label>
					<div class="col-sm-9 padding0">
						{{ Form::text('player_color', $settings->player_color, array('class'=>'form-control player-color')) }}
					</div>
					<div class="clearfix"></div>
				</div>
				<div class="form-group">
					<label for="website_keywords" class="col-sm-3 padding0 control-label">{{ Lang::get('words.website_keywords') }}:</label>
					<div class="col-sm-9 padding0">
						{{ Form::text('website_keywords', $settings->website_keywords, array('class'=>'form-control')) }}
					</div>
					<div class="clearfix"></div>
				</div>

				<div class="form-group">
					<label for="website_description" class="col-sm-3 padding0 control-label">{{ Lang::get('words.website_description') }}:</label>
					<div class="col-sm-9 padding0">
						{{ Form::text('website_description', $settings->website_description, array('class'=>'form-control')) }}
					</div>
					<div class="clearfix"></div>
				</div>

				<div class="form-group">
					<label for="soundcloud_id" class="col-sm-3 padding0 control-label">{{ Lang::get('words.soundcloud_id') }}:</label>
					<div class="col-sm-9 padding0">
						{{ Form::text('soundcloud_id', $settings->soundcloud_id, array('class'=>'form-control')) }}
					</div>
					<div class="clearfix"></div>
				</div>

				<div class="form-group">
					<label for="youtube_key" class="col-sm-3 padding0 control-label">{{ Lang::get('words.youtube_key') }}: <span class="fa fa-star text-danger"></span></label>
					<div class="col-sm-9 padding0">
						{{ Form::text('youtube_key', $settings->youtube_key, array('class'=>'form-control  alert-info')) }}
					</div>
					<div class="clearfix"></div>
				</div>

				<div class="form-group">
					@if(isset($settings->recaptcha_site_key))<?php $recaptcha_site_key = $settings->recaptcha_site_key ?>@else<?php $recaptcha_site_key = ''; ?>@endif
					<label for="recaptcha_site_key" class="col-sm-3 padding0 control-label">{{ Lang::get('words.recaptcha_site_key') }}:</label>
					<div class="col-sm-9 padding0">
						{{ Form::text('recaptcha_site_key', $recaptcha_site_key, array('class'=>'form-control')) }}
					</div>
					<div class="clearfix"></div>
				</div>

				<div class="form-group">
					@if(isset($settings->recaptcha_secret_key))<?php $recaptcha_secret_key = $settings->recaptcha_secret_key ?>@else<?php $recaptcha_secret_key = ''; ?>@endif
					<label for="recaptcha_secret_key" class="col-sm-3 padding0 control-label">{{ Lang::get('words.recaptcha_secret_key') }}:</label>
					<div class="col-sm-9 padding0">
						{{ Form::text('recaptcha_secret_key', $recaptcha_secret_key, array('class'=>'form-control')) }}
					</div>
					<div class="clearfix"></div>
				</div>

				<div class="form-group">
					<label for="auth_download" class="col-sm-3 padding0 control-label">{{ Lang::get('words.auth_download') }}:</label>
					<div class="col-sm-9 padding0">
						<div class="checkbox">
							<label>
							{{ Lang::get('words.auth_download_message') }}
								<input type="checkbox" @if($settings->auth_download) checked @endif name="auth_download">
							</label>
						</div>
					</div>
					<div class="clearfix"></div>
				</div>

				<div class="form-group">
		            <label for="max-top" class="col-sm-3 control-label padding0">{{ Lang::get('words.max_tracks') }}: </label>
		            <div class="col-sm-9 padding0">
		                <select name="max_top" class="form-control">
		                    <option @if($settings->max_top == 24) selected="selected" @endif value="24">24</option>
		                    <option @if($settings->max_top == 28) selected="selected" @endif value="28">28</option>
		                    <option @if($settings->max_top == 32) selected="selected" @endif value="32">32</option>
		                    <option @if($settings->max_top == 36) selected="selected" @endif value="36">36</option>
		                    <option @if($settings->max_top == 40) selected="selected" @endif value="40">40</option>
		                </select>
		            </div>
		            <div class="clearfix"></div>
		        </div>
				
				<div class="form-group">
					@if(isset($settings->per_page))<?php $per_page = $settings->per_page ?>@else<?php $per_page = ''; ?>@endif
					<label for="per_page" class="col-sm-3 padding0 control-label">{{ Lang::get('words.per_page') }}:</label>
					<div class="col-sm-9 padding0">
						{{ Form::text('per_page', $per_page, array('class'=>'form-control')) }}
					</div>
					<div class="clearfix"></div>
				</div>

				<div class="form-group">
					<label for="analytics" class="col-sm-3 padding0 control-label">{{ Lang::get('words.analytics_code') }}:</label>
					<div class="col-sm-9 padding0">
						{{ Form::textarea('analytics', $settings->analytics, array('class'=>'form-control')) }}
					</div>
					<div class="clearfix"></div>
				</div>
				<input type="hidden" name="_token" value="{{ csrf_token() }}">
				<div class="form-group">
					<input type="submit" class="btn btn-success btn-block" value="{{ Lang::get('words.update_settings') }}" />
				</div>
				<div style="clear:both"></div>
		</form>
</span>
@stop
