@extends('admin.index')
@section('content')
<div class="tab-content">
	<h1><span class="fa fa-users"></span> {{ Lang::get('words.users') }}</h1>
	<div class="table-responsive">
		<table class="table table-striped">
			<tr class="table-header">
				<th>{{ Lang::get('words.username') }}</th>
				<th>{{ Lang::get('words.email_address') }}</th>
				<th>{{ Lang::get('words.playlist_count') }}</th>
				<th>{{ Lang::get('words.date_added') }}</th>
				<th class="text-center">{{ Lang::get('words.actions') }}</th>
				@foreach($users as $user)
				<tr class="@if($user->active) success @else danger @endif">
					<td>
						<?php if (strlen($user->username) > 40) {
							    echo substr($user->username, 0, 40).'...';
							} else {
							    echo $user->username;
							}
                        ?>
					</td>
					<td> {{ $user->email }} </td>
					
					<td>
						{{ $user->totalTracks(); }}
					</td>
					<td>
						{{ date('M d, Y - h:iA', strtotime($user->created_at)) }}
					</td>
					<td class="text-right">
						<a data-toggle="modal" data-target="#edit-{{ $user->id }}" href="#_" class="btn btn-xs btn-info bg-blue"><span class="fa fa-edit"></span></a>
						<a href="{{ URL::to('admin/playlist') . '/' . $user->id }}" class="btn btn-xs btn-warning bg-amber"><span class="fa fa-list"></span></a>
						@if($user->active)
							<a href="{{ URL::to('admin/deactivate_user') . '/' . $user->id }}" class="btn btn-xs btn-danger bg-red"><span class="fa fa-times"></span> {{ Lang::get('words.disable_user') }}</a>
						@else
							<a href="{{ URL::to('admin/activate_user') . '/' . $user->id }}" class="btn btn-xs btn-success bg-green"><span class="fa fa-check"></span> {{ Lang::get('words.enable_user') }}</a>
						@endif
					</td>
				</tr>
				@endforeach
		</table>
		<div class="pagination-outter simple">
			{{ $users->links('pagination::simple') }}
		</div>
	</div>
</tr>
@foreach($users as $user)
<div class="modal fade" tabindex="-1" id="edit-{{ $user->id }}" data-id="{{ $user->id }}" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
	  <div class="modal-dialog">
	    <div class="modal-content">
	    <form method="post" action="{{ URL::to('/user/update/'.$user->id) }}">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	        <h4 class="modal-title" id="myModalLabel">{{ Lang::get('words.edit_profile') }} {{ $user->name }}</h4>
	      </div>
	      <div class="modal-body">
	      		<div class="form-group">
					<label for="email">{{ Lang::get('words.email_address') }}:</label>
					<input name="email" type="text" id="email" class="form-control" value="{{ $user->email }}">
				</div>
	      		<div class="form-group">
					<label for="password">{{ Lang::get('words.edit_password') }}:</label>
					<input type="password" autocomplete="off" name="password" id="password" class="form-control" />
				</div>
				<div class="form-group">
					<label for="password_confirmation">{{ Lang::get('words.confirm_password') }}:</label>
					<input type="password" name="password_confirmation" id="password_confirmation" class="form-control" />
				</div>
			<input type="hidden" id="redirect" name="redirect" value="{{ URL::to('admin/users') }}" />
	      </div>
	      <div class="modal-footer">
	      	<input type="hidden" name="_token" value="{{ csrf_token() }}">
	        <button type="button" class="btn btn-danger" data-dismiss="modal">{{ Lang::get('words.cancel') }}</button>
	        <input type="submit" class="btn btn-success" value="{{ Lang::get('words.update_profile') }}" />
	      </div>
	      </form>
	    </div>
	  </div>
	</div>
@endforeach
@stop
