<!DOCTYPE html>
<html>
<head>
    <title>Install PersianScript</title>
    <meta name="viewport" content="initial-scale=1">
    <link rel="stylesheet" href="{{ URL::asset('assets/css/bootstrap.css') }}" />
    <link rel="stylesheet" href="{{ URL::asset('assets/css/style.css') }}" />
    <link rel="stylesheet" href="{{ URL::asset('assets/css/font-awesome.css') }}" />
    
    <script type="text/javascript" src="{{ URL::asset('assets/js/jquery-1.11.0.min.js') }}"></script>
	<script type="text/javascript" src="{{ URL::asset('assets/js/jquery.form-validator.js') }}"></script>
	<script type="text/javascript" src="{{ URL::asset('assets/js/installer.js') }}"></script>
	<script type="text/javascript">
	$(document).ready(function(){
		rootURL = "{{ URL::to('/') }}";
	});
	</script>
	<style type="text/css">
	.container-fluid{
		max-width:700px;
		height:auto;
		margin:0px auto;
		margin-top:0px;
		padding:20px;
	}
	h1{
		padding:20px 0;
		width:100%;
		text-align:center;
		font-weight:bold;
		margin: 0 0 20px 0;
	}
	#done, #startover{
		width:100%;
		text-align:center;
		display:none;
	}
	.install-form {
		margin-top: 20px;
	}

	</style>
</head>
<body>

	<div class="container-fluid">
		<h1 style="background-color:#6a9add; color:#fff"><i class="fa fa-cog"></i> Install Script</h1>
	<div class="progress">
	  <div class="progress-bar progress-bar-striped progress-bar-success active" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 0%">
	    <p class="status"></p>
	  </div>
	</div>
	<div id="done">
		<a href="{{ URL::to('/') }}" class="btn btn-success">Done!</a>
	</div>

	<div id="startover">
		<a href="{{ URL::to('/install') }}" class="btn btn-warning">Start Over</a>
	</div>
		<form method="post" id="installer" action="#_" class="form-horizontal install-form">
			<input type="hidden" id="token" name="_token" value="{{ csrf_token() }}">
			<div class="form-group">
				<label for="admin" class="col-sm-3 control-label"><span class="pull-left">Admin Username:</span></label>
				<div class="col-sm-9">
					<input type="text" class="form-control" name="admin_username" data-validation="alphanumeric" data-validation-allowing="-_" data-validation-length="min5" id="admin_username" placeholder="Admin Username" />
				</div>
			</div>
			<div class="form-group">
				<label for="email" class="col-sm-3 control-label"><span class="pull-left">Admin Email:</span></label>
				<div class="col-sm-9">
					<input type="email" class="form-control" name="admin_email" data-validation="email" id="admin_email" placeholder="Admin Email" />
				</div>
			</div>
			<div class="form-group">
				<label for="password" class="col-sm-3 control-label"><span class="pull-left">Admin Password:</span></label>
				<div class="col-sm-9">
					<input type="password" class="form-control" data-validation="length" data-validation-length="min6" name="admin_password" id="admin_password" placeholder="Admin Password" />
				</div>
			</div>
			<br />
			<div class="form-group">
				<label for="host" class="col-sm-3 control-label"><span class="pull-left">Database Host:</span></label>
				<div class="col-sm-9">
					<input type="text" class="form-control" data-validation="length" data-validation-length="min6" name="database_host" id="database_host" placeholder="Database Host" />
				</div>
			</div>
			<div class="form-group">
				<label for="name" class="col-sm-3 control-label"><span class="pull-left">Database Name:</span></label>
				<div class="col-sm-9">
					<input type="text" class="form-control" data-validation="length" data-validation-length="min3" name="database_name" id="database_name" placeholder="Database Name" />
				</div>
			</div>
			<div class="form-group">
				<label for="user" class="col-sm-3 control-label"><span class="pull-left">Database User:</span></label>
				<div class="col-sm-9">
					<input type="text" class="form-control" data-validation="alphanumeric" data-validation-allowing="-_" name="database_user" id="database_user" placeholder="Database User" />
				</div>
			</div>
			<div class="form-group">
				<label for="password" class="col-sm-3 control-label"><span class="pull-left">Database Password:</span></label>
				<div class="col-sm-9">
					<input type="password" class="form-control" data-validation="length" data-validation-length="0-20" name="database_password" id="database_password" placeholder="Database Password" />
				</div>
			</div>
			<input type="submit" class="btn btn-lg btn-block" style="background-color:#fa6800; color:#fff" value="Click to Install"/>
		</form>
	</div>
</body>
</html>
