@if(isset($_SERVER['HTTP_X_PJAX']) && $_SERVER['HTTP_X_PJAX'] == 'true')

@else
<?php 
  $metaImage = isset($metaImage) ? $metaImage : URL::asset('assets/images/logo.png');
  $title = isset($title) ? $title : $settings->website_title;
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title>
        {{ $settings->website_name }} - {{ $title }}
    </title>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" />
    <link rel="stylesheet" href="{{ URL::asset('assets/css/bootstrap.css') }}" />
    <link rel="stylesheet" href="{{ URL::asset('assets/css/font-awesome.css') }}" />
    <link rel="stylesheet" href="{{ URL::asset('assets/css/bar-ui.css') }}" />
    <link rel="stylesheet" href="{{ URL::asset('assets/css/jquery.toastmessage.css') }}" />
    <link rel="stylesheet" href="{{ URL::asset('assets/css/style.css') }}" />
    
    <link rel="icon" href="{{ URL::asset('assets/images/favicon.ico') }}" type="image/x-icon">
    <link rel="shortcut icon" href="{{ URL::asset('assets/images/favicon.ico') }}" type="image/x-icon">

    <meta charset="UTF-8">
    <meta name="description" content="{{ $settings->website_description }}">
    <meta name="keywords" content="{{ $settings->website_keywords }}">
    <meta name="author" content="{{ $settings->website_name }}">

    <meta name="twitter:card" content="photo" />
    <meta name="twitter:site" content="{{ $settings->twitter_page_id }}" />
    <meta name="twitter:image" content="{{ $metaImage }}"/>

    <meta property="og:site_name" content="{{ $settings->website_name }}" />
    <meta property="og:type" content="article" />
    <meta property="og:title" content="{{ $title }}"/>
    <meta property="og:image" content="{{ $metaImage }}"/>
    <meta property="og:description" content="{{ $settings->website_description }}"/>

    <meta itemprop="name" content="{{ $title }}">
    <meta itemprop="description" content="{{ $settings->website_description }}">
    <meta itemprop="image" content="{{ $metaImage }}">

    <meta name="_token" content="{{ csrf_token() }}">
    <meta name="ajax_loading" content="@if(Ads::first()->ajax_loading) true @else false @endif">

    <style type="text/css">
        .navbar, #footer, .sm2-playlist-drawer{
            background-color: {{ $settings->player_color }};
            color: #fff;
        }
        .collapse-menu-btn i, .sidebar p, .profile-header {
            color: #fff;
        }
        .p-bg, .collapse-menu-btn i, .sidebar p, .sub-header, #nprogress .bar, .dropdown-menu > li > a:hover, .dropdown-menu > li > a:focus, .pagination>li>span, .pagination>.active>span, .pagination>li>a:hover, .pagination>.active>span:hover, .pager>li>span, .pager>.active>span, .pager>li>a:hover, .pager>.active>span:hover, .pagination>li>span:hover, .pagination>.disabled>span, .pagination>.disabled>span:hover, .pager>li>span:hover, .pager>.disabled>span, .pager>.disabled>span:hover, .pagination>li>a, .pager>li>a, .profile-header {
            background-color: {{ $settings->theme_color }};
        }
        #nprogress .peg{
            box-shadow:0 0 10px {{ $settings->theme_color }}, 0 0 5px {{ $settings->theme_color }};
        }
        a, a:hover, a:focus, .dropdown-menu > li > a, .fa-user.active, .tab-content h1 span.fa, .panel-body h1 span.fa, .panel-body h2 i.fa, .pagination>li>span:hover, .pagination>.disabled>span, .pagination>.disabled>span:hover, .pager>li>span:hover, .pager>.disabled>span, .pager>.disabled>span:hover{
            color:{{ $settings->theme_color }};
        }
        .pagination>li>a, .pager>li>a, .pagination > .disabled > span, .pager > .disabled > span{
            border:1px solid {{ $settings->theme_color }};
        }
    </style>

    <script type="text/javascript" src="{{ URL::asset('assets/js/jquery-1.11.0.min.js') }}"></script>
    <script type="text/javascript" src="{{ URL::asset('assets/js/bootstrap.min.js') }}"></script>
    <script type="text/javascript" src="{{ URL::asset('assets/js/jquery.pjax.js') }}"></script>
    <script type="text/javascript" src="{{ URL::asset('assets/js/soundmanager2.js') }}"></script>
    <script type="text/javascript" src="{{ URL::asset('assets/js/bar-ui.js') }}"></script>
    <script type="text/javascript" src="{{ URL::asset('assets/js/infinitescroll.js') }}"></script>    
    <script type="text/javascript" src="{{ URL::asset('assets/js/jquery.toastmessage.js') }}"></script>
    <script type="text/javascript" src="{{ URL::asset('assets/js/nprogress.js') }}"></script>
    <script type="text/javascript" src="{{ URL::asset('assets/js/app.js') }}"></script>
    <script type="text/javascript">
      $(document).ready(function(){
        rootURL = "{{ URL::to('/') }}";
        soundcloud_id = "{{ $settings->soundcloud_id }}";
      });
    </script>
</head>
<body>

<nav class="navbar navbar-fixed-top" role="navigation">
    <div class="container-fluid">
        <div class="navbar-header">
            <div class="collapse-menu-btn"><i class="fa fa-bars"></i></div>
            <div class="collapse-menu social-menu">
                <ul>

                    <li class="p-bg"><a class="pjax" href="{{ URL::to('/') }}"><i class="fa fa-home"></i></a></li>
                    @if(!Auth::guest())
                        @if(Auth::user()->admin)
                            <li class="p-bg"><a href="{{ URL::to('admin') }}"><i class="fa fa-dashboard"></i></a></li>
                        @endif
                        <li class="p-bg"><a class="pjax" href="{{ URL::to('playlist') }}"><i class="fa fa-music"></i></a></li>
                        <li class="p-bg"><a class="pjax" href="{{ URL::to('profile') }}"><i class="fa fa-user"></i></a></li>
                        <li class="p-bg"><a href="{{ URL::to('logout') }}"><i class="fa fa-power-off"></i></a></li>
                    @else
                        <li class="p-bg"><a data-toggle="modal" href="{{ URL::to('#login') }}"><i class="fa fa-user"></i></a></li>
                        <li class="p-bg"><a data-toggle="modal" href="{{ URL::to('#signup') }}"><i class="fa fa-sign-in"></i></a></li>
                    @endif
                    <li class="bg-facebook"><a class="social-link" title="{{ Lang::get('words.share_facebook') }}" data-href="https://www.facebook.com/sharer/sharer.php?u="><i class="fa fa-facebook"></i></a></li>
                    <li class="bg-twitter"><a class="social-link" title="{{ Lang::get('words.share_twitter') }}" data-href="https://twitter.com/intent/tweet?url="><i class="fa fa-twitter"></i></a></li>
                    <li class="bg-google"><a class="social-link" title="{{ Lang::get('words.share_google') }}" data-href="https://plus.google.com/share?url="><i class="fa fa-google-plus"></i></a></li>
                    <li class="bg-linkedin"><a class="social-link" title="{{ Lang::get('words.share_linkedin') }}" data-href="https://www.linkedin.com/shareArticle?url="><i class="fa fa-linkedin"></i></a></li>
                    <li class="bg-pinterest"><a class="social-link" title="{{ Lang::get('words.share_pinterest') }}" data-href="https://pinterest.com/pin/create/button/?url="><i class="fa fa-pinterest"></i></a></li>
                    <li class="bg-vk"><a class="social-link" title="{{ Lang::get('words.share_vk') }}" data-href="http://vkontakte.ru/share.php?url="><i class="fa fa-vk"></i></a></li>
                </ul>
            </div>
            </div>
                  <!-- Jplayer code -->
            <div class="sm2-bar-ui pull-right full-width">
            <div class="bd sm2-main-controls">
              <!-- <div class="sm2-inline-texture"></div> -->
              <!-- <div class="sm2-inline-gradient"></div> -->
                <div class="sm-2-inline-element">
                    <a class="navbar-brand logo hidden-xs pjax" title="{{ $settings->website_description }}" href="{{ URL::to('/') }}"><img alt="{{ $settings->website_name }}" src="{{ URL::asset('assets/images/logo.png') }}"/></a>
                </div>
                <div class="sm2-inline-element sm2-button-element">
                    <div class="sm2-button-bd">
                        <a id="play-pause" class="sm2-inline-button play-pause" href="#play">Play / pause</a>
                    </div>
                </div>

                <div class="sm2-inline-element sm2-inline-status">
                    <div class="sm2-playlist">
                        <div class="sm2-playlist-target"></div>
                    </div>

                    <div class="sm2-progress">
                        <div class="sm2-row">
                            <div class="sm2-inline-time">0:00</div>
                            <div class="sm2-progress-bd">
                                <div class="sm2-progress-track">
                                <div class="sm2-progress-bar"></div>
                                    <div class="sm2-progress-ball">
                                        <div class="icon-overlay"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="sm2-inline-duration">0:00</div>
                        </div>
                    </div>

                </div>

                <div class="sm2-inline-element sm2-button-element sm2-volume">
                    <div class="sm2-button-bd">
                        <span class="sm2-inline-button sm2-volume-control volume-shade"></span>
                        <a class="sm2-inline-button sm2-volume-control" href="#volume">volume</a>
                    </div>
                </div>

                <div class="sm2-inline-element sm2-button-element">
                    <div class="sm2-button-bd">
                    <a class="sm2-inline-button previous" title="Previous" href="#prev">&lt; previous</a>
                    </div>
                </div>

                <div class="sm2-inline-element sm2-button-element">
                    <div class="sm2-button-bd">
                        <a class="sm2-inline-button next" title="Next" href="#next">&gt; next</a>
                    </div>
                </div>

                <div class="sm2-inline-element sm2-button-element sm2-menu">
                    <div class="sm2-button-bd">
                        <a class="sm2-inline-button menu" href="#menu">menu</a>
                    </div>
                </div>
                <div class="sm2-inline-element hidden-xs">
                    <form method="get" action="{{ URL::to('/') }}" role="search" class="navbar-form search-form pull-left col-xs-12">
                        <div class="form-group">
                            <input type="text" placeholder="Search" required name="search" class="form-control">
                            <button type="submit"><i class="fa fa-search"></i></button>
                        </div>
                    </form>
                </div>
            </div>
            
            <div class="bd sm2-playlist-drawer sm2-element" style="height: 0px;">

                <div class="sm2-inline-texture">
                    <div class="sm2-box-shadow"></div>
                </div>

                <!-- playlist content is mirrored here -->
                <div class="sm2-playlist-wrapper">            
<?php
if (!Auth::guest()) {
    $playlist = App::make('Playlist')->where('user_id', '=', Auth::user()->id)->orderBy('id', 'desc')->paginate(10);
    $playlist->setBaseUrl(URl::to('/').'/playlist-ajax');
}
?>
                    @if(!Auth::guest())
                        <ul class="sm2-playlist-bd">
                            @if($playlist->count() == 0)
                                <li><a href="http://freshly-ground.com/data/audio/sm2/SonReal%20-%20Let%20Me%20%28Prod%202oolman%29.mp3">Let Me Explicit</a></li>
                            @else
                                @foreach($playlist as $i => $track)
                                <li class="@if($i==0)selected @endif"><a href="http://api.soundcloud.com/tracks/{{ $track->track_id }}/stream?client_id={{ $settings->soundcloud_id }}&.mp3">{{ $track->title }}</a></li>
                                @endforeach
                            @endif
                        </ul>
                        <div class="pagination-outter hidden">
                            {{ $playlist->links() }}
                        </div>
                    @else
                    <ul class="sm2-playlist-bd">
                        <li><a href="http://freshly-ground.com/data/audio/sm2/SonReal%20-%20Let%20Me%20%28Prod%202oolman%29.mp3">Let Me Explicit</a></li>
                    </ul>
                    @endif
                </div>

            </div>
        </div>
        <!-- Jplayer End -->
    </div>
</nav>
<div class="navbar sub-header">
  <div class="container-fluid">
    <div class="pull-left hidden-xs">
      <span class="social-menu-title pull-left">{{ Lang::get('words.social_title') }}</span>
        @if(isset($settings->twitter_page_id) && !empty($settings->twitter_page_id))
            <div class="social-follow pull-left">
                <iframe
                  src="//platform.twitter.com/widgets/follow_button.html?screen_name={{ $settings->twitter_page_id }}"
                  style="width:187px; height: 20px;"
                  allowtransparency="true"
                  frameborder="0"
                  scrolling="no">
                </iframe>
            </div>
        @endif

        @if(isset($settings->facebook_page_id) && !empty($settings->facebook_page_id))
            <div class="social-follow pull-left">
                <iframe src="//www.facebook.com/plugins/like.php?href=http%3A%2F%2Fwww.facebook.com%2F{{ $settings->facebook_page_id }}&amp;width=&amp;layout=button_count&amp;action=like&amp;show_faces=true&amp;share=false&amp;height=21" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:95px; height:21px;" allowTransparency="true"></iframe>
            </div>
        @endif

        @if(isset($settings->google_page_id) && !empty($settings->google_page_id))
            <div class="social-follow pull-left">
                <script src="https://apis.google.com/js/platform.js" async defer></script>
                <div class="g-follow" data-annotation="bubble" data-height="20" data-href="//plus.google.com/u/0/{{ $settings->google_page_id }}" data-rel="publisher"></div>
            </div>
        @endif
    </div>
    <div class="social-menu horizontal pull-right hidden-xs">
      <ul class="pull-right">
        <li class="bg-facebook"><a class="social-link" title="{{ Lang::get('words.share_facebook') }}" data-href="https://www.facebook.com/sharer/sharer.php?u="><i class="fa fa-facebook"></i></a></li>
        <li class="bg-twitter"><a class="social-link" title="{{ Lang::get('words.share_twitter') }}" data-href="https://twitter.com/intent/tweet?url="><i class="fa fa-twitter"></i></a></li>
        <li class="bg-google"><a class="social-link" title="{{ Lang::get('words.share_google') }}" data-href="https://plus.google.com/share?url="><i class="fa fa-google-plus"></i></a></li>
        <li class="bg-linkedin"><a class="social-link" title="{{ Lang::get('words.share_linkedin') }}" data-href="https://www.linkedin.com/shareArticle?url="><i class="fa fa-linkedin"></i></a></li>
        <li class="bg-pinterest"><a class="social-link" title="{{ Lang::get('words.share_pinterest') }}" data-href="https://pinterest.com/pin/create/button/?url="><i class="fa fa-pinterest"></i></a></li>
        <li class="bg-vk"><a class="social-link" title="{{ Lang::get('words.share_vk') }}" data-href="http://vkontakte.ru/share.php?url="><i class="fa fa-vk"></i></a></li>
      
      </ul>
    </div>
    <div class="visible-xs">
        <form method="get" action="{{ URL::to('/') }}" role="search" class="navbar-form search-form pull-left col-xs-12">
            <div class="form-group">
                <input type="text" placeholder="{{ Lang::get('words.search') }}" required name="search" class="form-control">
                <button type="submit"><i class="fa fa-search"></i></button>
            </div>
        </form>
    </div>
  </div>
</div>
@if(Auth::guest())
    @include('auth.modal-form')
@endif

@endif
<div id="main-container">
    <div class="container-fluid">
        <?php $genres = Genre::where('is_visible', 1)->orderBy('order_id')->get(); ?>
        <ul class="nav nav-tabs">
            @foreach($genres as $i => $genre)
                @if($i < 10)
                    @if($i == 0)
                        <li role="presentation" class="@if(Request::is('/') || Request::is($genre->name)) active @endif"><a class="pjax" title="{{ Lang::get('words.download_title', array('title' => Lang::get('words.'.$genre->name)))}}" href="{{ URL::to($genre->name) }}">{{ Lang::get('words.'.$genre->name) }}</a></li>
                    @else
                        <li role="presentation" class="@if(Request::is($genre->name)) active @endif"><a class="pjax" title="{{ Lang::get('words.download_title', array('title' => Lang::get('words.'.$genre->name)))}}" href="{{ URL::to($genre->name) }}">{{ Lang::get('words.'.$genre->name) }}</a></li>
                    @endif
                @else
                    @if($i == 10)
                    <li class="dropdown" role="presentation">
                        <a class="dropdown-toggle" data-toggle="dropdown" role="button" href="#">{{ Lang::get('words.more') }} <span class="fa fa-caret-down"></span></a>
                        <ul class="dropdown-menu" role="menu">
                    @endif
                        <li><a class="pjax" title="{{ Lang::get('words.download_title', array('title' => Lang::get('words.'.$genre->name)))}}" href="{{ URL::to($genre->name) }}">{{ Lang::get('words.'.$genre->name) }}</a></li>
                    @if($i == $genres->count()-1)
                        </ul>
                    </li>
                    @endif
                @endif
            @endforeach
            <li class="dropdown pull-right hidden-xs" role="presentation">
                <a class="dropdown-toggle" data-toggle="dropdown" role="button" href="#"><span class="fa fa-user @if(!Auth::guest()) active @endif"></span> <span class="fa fa-caret-down"></span></a>
                <ul class="dropdown-menu" role="menu">
                @if(!Auth::guest())
                    @if(Auth::user()->admin)
                        <li><a title="{{ Lang::get('words.admin_dashboard') }}" href="{{ URL::to('admin') }}"><i class="fa fa-dashboard"></i> {{ Lang::get('words.admin') }}</a></li>
                    @endif
                    <li><a title="{{ Lang::get('words.my_playlist') }}" class="pjax" href="{{ URL::to('playlist') }}"><i class="fa fa-music"></i> {{ Lang::get('words.playlist') }}</a></li>
                    <li><a title="{{ Lang::get('words.my_profile') }}" class="pjax" href="{{ URL::to('profile') }}"><i class="fa fa-gear"></i> {{ Lang::get('words.profile') }}</a></li>
                    <li><a title="{{ Lang::get('words.logout') }}" href="{{ URL::to('logout') }}"><i class="fa fa-power-off"></i> {{ Lang::get('words.logout') }}</a></li>
                @else
                    <li><a title="{{ Lang::get('words.login') }}" data-toggle="modal" href="{{ URL::to('#login') }}">{{ Lang::get('words.login') }}</a></li>
                    <li><a title="{{ Lang::get('words.signup') }}" data-toggle="modal" href="{{ URL::to('#signup') }}">{{ Lang::get('words.signup') }}</a></li>
                @endif
                </ul>
            </li>
        </ul>
    @yield('content')
    </div>
</div>

@if(isset($_SERVER['HTTP_X_PJAX']) && $_SERVER['HTTP_X_PJAX'] == 'true')

@else
<div class="clearfix" id="footer">
    &copy; {{ date('Y') }} {{ $settings->website_name }}
    <a title="{{ Lang::get('words.terms') }}" class="pjax" href="{{ URL::to('page/terms') }}">{{ Lang::get('words.terms') }}</a>
    <a title="{{ Lang::get('words.privacy') }}" class="pjax" href="{{ URL::to('page/privacy') }}">{{ Lang::get('words.privacy') }}</a>
    <a title="{{ Lang::get('words.faq') }}" class="pjax" href="{{ URL::to('page/faq') }}">{{ Lang::get('words.faq') }}</a>
</div>

<script type="text/javascript">
    @if(!isset($settings->soundcloud_id) || empty($settings->soundcloud_id))
        $().toastmessage('showErrorToast', '{{ Lang::get("words.soundcloud_error") }}');
    @endif
    @if(Session::get('toastMsg') != '' && Session::get('toastType') != '')
        $().toastmessage('{{ Session::get("toastType") }}', '{{ Session::get("toastMsg") }}');
        <?php Session::forget('toastMsg');
              Session::forget('toastType');
        ?>
    @endif
</script>
@if(isset($settings->analytics))
    {{ $settings->analytics }}
@endif
</body>
</html>
@endif
