<?php $title = Lang::get('words.download_title', array('title' => $keyword)); ?>
@extends('master')
@section('content')
	<div class="panel">
		<div class="panel-body">			
			<div class="row">
				<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 result-container">
				<h1><span class="fa fa-search"></span> {{ Lang::get('words.search_results_for') }} <b>{{ $keyword }}</b></h1>
					<div class="sidebar pull-left visible-lg">
						<div class="ad-box">
							@if($ads->ajax_loading)
								<iframe src="{{ URL::to('ads/box') }}" width='300' height='250' frameborder='0' border='0' marginwidth='0' marginheight='0' scrolling='no'></iframe>
							@else
								{{ $ads->box }}
							@endif
						</div>
						<div class="affix-sidebar affix-top">
								<p class="text-left"><i class="fa fa-video-camera"></i><span>{{ Lang::get('words.related_video') }}</span></p>
								<iframe width="300" height="300" src="//www.youtube.com/embed/{{ $youtubeID }}" frameborder="0" allowfullscreen></iframe>
							<div class="ad-box">
								@if($ads->ajax_loading)
									<iframe src="{{ URL::to('ads/box') }}" width='300' height='250' frameborder='0' border='0' marginwidth='0' marginheight='0' scrolling='no'></iframe>
								@else
									{{ $ads->box }}
								@endif
							</div>
						</div>
					</div>
					<div class="pull-left">
					@if(count($tracks) == 0)
						<div class="row">
							<div class="col-lg-12 col-md-12 col-sm-12">
								<div class="ad-large">
									@if($ads->ajax_loading)
										<iframe src="{{ URL::to('ads/banner_large') }}" width='728' height='90' frameborder='0' border='0' marginwidth='0' marginheight='0' scrolling='no'></iframe>
									@else
										{{ $ads->banner_large }}
									@endif
								</div>
								<div class="ad-mobile">
									@if($ads->ajax_loading)
										<iframe src="{{ URL::to('ads/mobile') }}" width='300' height='50' frameborder='0' border='0' marginwidth='0' marginheight='0' scrolling='no'></iframe>
									@else
										{{ $ads->mobile }}
									@endif
								</div>
							</div>
						</div>
						<h2 class="text-center">{{ Lang::get('words.empty_search') }}<br /><i class="fa fa-meh-o fg-orange" style="font-size:12em"></i></h2>
						<div class="row">
							<div class="col-lg-12 col-md-12 col-sm-12">
								<div class="ad-large">
									@if($ads->ajax_loading)
										<iframe src="{{ URL::to('ads/banner_large') }}" width='728' height='90' frameborder='0' border='0' marginwidth='0' marginheight='0' scrolling='no'></iframe>
									@else
										{{ $ads->banner_large }}
									@endif
								</div>
								<div class="ad-mobile">
									@if($ads->ajax_loading)
										<iframe src="{{ URL::to('ads/mobile') }}" width='300' height='50' frameborder='0' border='0' marginwidth='0' marginheight='0' scrolling='no'></iframe>
									@else
										{{ $ads->mobile }}
									@endif
								</div>
							</div>
						</div>
					@else
						@foreach($tracks as $i => $track)
							@if($i%$ads->ads_per==0 || $i==0)
								<div class="row">
									<div class="col-lg-12 col-md-12 col-sm-12">
										<div class="ad-large">
											@if($ads->ajax_loading)
												<iframe src="{{ URL::to('ads/banner_large') }}" width='728' height='90' frameborder='0' border='0' marginwidth='0' marginheight='0' scrolling='no'></iframe>
											@else
												{{ $ads->banner_large }}
											@endif
										</div>
										<div class="ad-mobile">
											@if($ads->ajax_loading)
												<iframe src="{{ URL::to('ads/mobile') }}" width='300' height='50' frameborder='0' border='0' marginwidth='0' marginheight='0' scrolling='no'></iframe>
											@else
												{{ $ads->mobile }}
											@endif
										</div>
									</div>
								</div>
							@endif
								<div class="row search-results">
									<div class="col-lg-1 col-md-1 col-sm-1 padding0 hidden-xs">
										<img alt="{{ Lang::get('words.download_title', array('title' => $track['title'])) }}" width="100px" src="@if(empty($track['image'])) {{ URL::asset('assets/images/music.png') }} @else {{ $track['image'] }} @endif" class="img-responsive img-rounded" />
									</div>
									<div class="col-lg-11 col-md-11 col-sm-11 padding0" style="padding-left:5px">
										<h2 class="song-title pull-left">{{ $track['title'] }}</h2>
										<div class="btn-group pull-right" role="group" data-authdownload="@if($settings->auth_download) true @else false @endif" data-authentication="@if(Auth::guest()) false @else true @endif" data-track-id="{{ $track['id'] }}" data-image="{{ $track['image'] }}" data-title="{{ $track['title'] }}">
											<button class="btn btn-sm btn-default play"><i class="fa fa-play fg-green"></i> <span>{{ Lang::get('words.play') }}</span></button>
											<button class="btn btn-sm btn-default playlist"><i class="fa fa-plus fg-amber"></i> <span>{{ Lang::get('words.playlist') }}</span></button>
											<button class="btn btn-sm btn-default download" data-adfly="{{ $ads->adfly_ad }}"><i class="fa fa-download fg-blue"></i> <span>{{ Lang::get('words.download') }}</span></button>
											@if($ads->ad_center != '')<a href="{{ $ads->ad_center }}&q={{urlencode($track['title'])}}" target="_blank" class="btn btn-sm btn-default ringtone"><i class="fa fa-mobile fg-red"></i> <span>{{ Lang::get('words.ringtone') }}</span></a>@endif
										</div>
										<div class="clearfix"></div>
										<div class="btn-group" role="group">
											<label class="label"><i class="fg-red fa fa-hdd-o"></i> <span>{{ Helper::formatBytes($track['size']) }}</span></label>
											<label class="label"><i class="fg-blue fa fa-clock-o"></i> <span>{{ Helper::formatMilliseconds($track['duration']) }}</span></label>
											<label class="label"><i class="fg-violet fa fa-headphones"></i> <span>{{ $track['genre'] }}</span></label>
										</div>										
									</div>
									<div class="clearfix"></div>
								</div>
						@endforeach
						<div class="pagination-outter simple">
							{{ $pagination }}
						</div>
					@endif
					</div>
					<div class="pull-right hidden-800" style="width:160px; height:600px">
						<div class="right-ad">
							@if($ads->ajax_loading)
								<iframe src="{{ URL::to('ads/skyscrapper') }}" width='160' height='600' frameborder='0' border='0' marginwidth='0' marginheight='0' scrolling='no'></iframe>
							@else
								{{ $ads->skyscrapper }}
							@endif
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

@stop
