$(document).ready(function(){
	NProgress.configure({ showSpinner: false });
	NProgress.start();
	$('#main-container').on("mouseenter mouseleave", ".nav-tabs .dropdown", function(event){
        $(this).toggleClass("open");
    });

    fixSidebar();

    if($('meta[name="ajax_loading"]').attr('content').trim() == "true")
    {
	    pjax.connect({
		    'container': 'main-container',
		    'useClass': 'pjax',
		    'beforeSend': function(e){ NProgress.start(); },
		    'complete': function(e){ fixSidebar(); NProgress.done(); },
		});

		$("#main-container").on("click", "ul.pager a, ul.pagination a", function(event){
			var url = $(this).attr("href");
			pjax.invoke({
				'url': url,
				'container': 'main-container',
				'beforeSend': function(e){ NProgress.start(); },
		    	'complete': function(e){ fixSidebar(); NProgress.done(); },
			});
			event.preventDefault();
		});

		$('.navbar-form').submit(function(e) {
		    var q = $(this).find('.form-control').val();
		    q = slugify(q);
		    pjax.invoke({
				'url': rootURL+'/search/'+q,
				'container': 'main-container',
				'beforeSend': function(e){ NProgress.start(); },
		    	'complete': function(e){ fixSidebar(); NProgress.done(); },
			});
		    e.preventDefault();
		});
	}
		
	$('.sm2-playlist-bd').infinitescroll({
		behavior: 'local',
		binder: $('.sm2-playlist-bd'),
		loading: {
	        finished: undefined,
	        finishedMsg: null,
	        msg: null,
	        msgText: null,
	        selector: null,
	        speed: 'fast',
	        start: undefined,
	    },
	    navSelector  : "ul.pagination",
	    nextSelector : "ul.pagination a:first",
	    itemSelector : "ul.sm2-playlist-bd > li",
	    animate:true,
	    bufferPx: 5,
	});

	$('.collapse-menu-btn').click(function(){
		$('.collapse-menu').toggle();
		$('body').toggleClass('collapse-menu-margin').toggleClass('body-relative');
		$('.navbar-fixed-top').toggleClass('collapse-menu-margin');
    });

	$('#main-container').on('click', ".btn-group .play", function(){
		document.getElementById('play-pause').click();
		that = $(this);
		
		var _track_id = that.parent().data('track-id');
		var _title = that.parent().data('title');

		if(that.hasClass("active"))
		{
			that.removeClass("active");
			that.find("i.fa").removeClass("fa-stop").removeClass("fg-red").addClass("fg-green").addClass("fa-play");
			that.find("span").text("Play");
			soundManager.stopAll();
		}
		else
		{
			$(".btn-group .play").removeClass("active");
			$(".btn-group .play").find("i.fa").removeClass("fa-stop").removeClass("fg-red");
			$(".btn-group .play").find("span").text("Play");
			soundManager.stopAll();
			that.addClass("active");
			that.find("i.fa").addClass("fa-stop").addClass("fg-red");
			that.find("span").text("Stop");
			var datad = 'http://api.soundcloud.com/tracks/'+_track_id+'/stream?client_id='+soundcloud_id+'&.mp3';
			if(!$(".sm2-playlist-wrapper > .sm2-playlist-bd li a:contains("+_title+")").length ){
				$(".sm2-playlist-wrapper > .sm2-playlist-bd").prepend('<li><a href="'+datad+'">'+_title+'</a></li>');	
			}
			$(".sm2-playlist-bd > li > marquee").html(_title);
		    soundManager.load('sm-player', {url: datad});
		    var smPlayer = soundManager.getSoundById('sm-player');
		    smPlayer.play({
		    	onfinish: function() {
					$(".btn-group .play").removeClass("active");
					$(".btn-group .play").find("i.fa").removeClass("fa-stop").removeClass("fg-red");
					$(".btn-group .play").find("span").text("Play");
					soundManager.stopAll();
				}
		    });	
		}
	});

	
	$('#main-container').on('click', ".btn-group .playlist", function(){
		that = $(this);

		if(that.parent().data('authentication').trim() == "false"){
			$('#signup').modal();
			return;
		}
		that.toggleClass('active');

		_is_delete = that.data('delete');
		
		_track_id = that.parent().data('track-id');
		_title = that.parent().data('title');
		_image = that.parent().data('image'); 
		_token = $('meta[name="_token"]').attr('content');

		$.post(rootURL+'/playlist/add_track',
			{ track_id: _track_id, title: _title, image: _image, _token: _token, is_delete: _is_delete },
			function(data){
				if(data == 'Deleted!')
				{
					that.parents('.search-results').hide('slow');
					return;
				}
				if(data == 'Added!')
				{
					alert('Already Added!');
				}
				that.children('.fa').removeClass('fa-plus').addClass('fa-check');
				that.children('span').text("Added!");
			}
		);
	});

	$("#main-container").on("click", ".btn-group .download", function(){
		that = $(this);

		if(that.parent().data('authdownload').trim() == "true" && that.parent().data('authentication').trim() == "false"){
			$('#signup').modal();
			return;
		}

		_adfly_ad = that.data('adfly');
		
		_track_id = that.parent().data('track-id');
		_title = that.parent().data('title');
		_title = slugify(_title);
		_url = rootURL+'/download/'+_title+"/"+_track_id;

		if(_adfly_ad != "")
		{
			_url = _adfly_ad+_url;
		}
		window.open(_url,_track_id);
	});

	$("a.social-link").on("click", function(){
        documentURL = location.href;
        shareURL = $(this).data('href');
		window.open(shareURL+encodeURIComponent(documentURL),'sharer');
        return false;
	});

});

$(window).load(function () {
    NProgress.done();
});

$(window).resize(function(){
	$('.collapse-menu').css('height', $(window).height()); 
});

function fixSidebar(){
	$('.affix-sidebar').affix({
	    offset: {
			top: function () {
				return (this.top = $('.affix-sidebar').offset().top - 42)
			}
	    }
	  });

	  $('.right-ad').affix({
	    offset: {
			top: function () {
				return (this.top = $('.right-ad').offset().top - 42)
			}
	    }
	});
}

function slugify(word) {
    var A = {};
    var result = '';

    A["¹"]=1;A["²"]=2;A["³"]=3;A["°"]=0;A["æ"]="ae";A["ǽ"]="ae";A["À"]="A";A["Á"]="A";A["Â"]="A";A["Ã"]="A";A["Å"]="A";A["Ǻ"]="A";A["Ă"]="A";A["Ǎ"]="A";A["Æ"]="AE";A["Ǽ"]="AE";A["à"]="a";A["á"]="a";A["â"]="a";A["ã"]="a";A["å"]="a";A["ǻ"]="a";A["ă"]="a";A["ǎ"]="a";A["ª"]="a";A["@"]="at";A["Ĉ"]="C";A["Ċ"]="C";A["ĉ"]="c";A["ċ"]="c";A["©"]="c";A["Ð"]="Dj";A["Đ"]="D";A["ð"]="dj";A["đ"]="d";A["È"]="E";A["É"]="E";A["Ê"]="E";A["Ë"]="E";A["Ĕ"]="E";A["Ė"]="E";A["è"]="e";A["é"]="e";A["ê"]="e";A["ë"]="e";A["ĕ"]="e";A["ė"]="e";A["ƒ"]="f";A["Ĝ"]="G";A["Ġ"]="G";A["ĝ"]="g";A["ġ"]="g";A["Ĥ"]="H";A["Ħ"]="H";A["ĥ"]="h";A["ħ"]="h";A["Ì"]="I";A["Í"]="I";A["Î"]="I";A["Ï"]="I";A["Ĩ"]="I";A["Ĭ"]="I";A["Ǐ"]="I";A["Į"]="I";A["Ĳ"]="IJ";A["ì"]="i";A["í"]="i";A["î"]="i";A["ï"]="i";A["ĩ"]="i";A["ĭ"]="i";A["ǐ"]="i";A["į"]="i";A["ĳ"]="ij";A["Ĵ"]="J";A["ĵ"]="j";A["Ĺ"]="L";A["Ľ"]="L";A["Ŀ"]="L";A["ĺ"]="l";A["ľ"]="l";A["ŀ"]="l";A["Ñ"]="N";A["ñ"]="n";A["ŉ"]="n";A["Ò"]="O";A["Ô"]="O";A["Õ"]="O";A["Ō"]="O";A["Ŏ"]="O";A["Ǒ"]="O";A["Ő"]="O";A["Ơ"]="O";A["Ø"]="O";A["Ǿ"]="O";A["Œ"]="OE";A["ò"]="o";A["ô"]="o";A["õ"]="o";A["ō"]="o";A["ŏ"]="o";A["ǒ"]="o";A["ő"]="o";A["ơ"]="o";A["ø"]="o";A["ǿ"]="o";A["º"]="o";A["œ"]="oe";A["Ŕ"]="R";A["Ŗ"]="R";A["ŕ"]="r";A["ŗ"]="r";A["Ŝ"]="S";A["Ș"]="S";A["ŝ"]="s";A["ș"]="s";A["ſ"]="s";A["Ţ"]="T";A["Ț"]="T";A["Ŧ"]="T";A["Þ"]="TH";A["ţ"]="t";A["ț"]="t";A["ŧ"]="t";A["þ"]="th";A["Ù"]="U";A["Ú"]="U";A["Û"]="U";A["Ũ"]="U";A["Ŭ"]="U";A["Ű"]="U";A["Ų"]="U";A["Ư"]="U";A["Ǔ"]="U";A["Ǖ"]="U";A["Ǘ"]="U";A["Ǚ"]="U";A["Ǜ"]="U";A["ù"]="u";A["ú"]="u";A["û"]="u";A["ũ"]="u";A["ŭ"]="u";A["ű"]="u";A["ų"]="u";A["ư"]="u";A["ǔ"]="u";A["ǖ"]="u";A["ǘ"]="u";A["ǚ"]="u";A["ǜ"]="u";A["Ŵ"]="W";A["ŵ"]="w";A["Ý"]="Y";A["Ÿ"]="Y";A["Ŷ"]="Y";A["ý"]="y";A["ÿ"]="y";A["ŷ"]="y";A["Ъ"]="";A["Ь"]="";A["А"]="A";A["Б"]="B";A["Ц"]="C";A["Ч"]="Ch";A["Д"]="D";A["Е"]="E";A["Ё"]="E";A["Э"]="E";A["Ф"]="F";A["Г"]="G";A["Х"]="H";A["И"]="I";A["Й"]="J";A["Я"]="Ja";A["Ю"]="Ju";A["К"]="K";A["Л"]="L";A["М"]="M";A["Н"]="N";A["О"]="O";A["П"]="P";A["Р"]="R";A["С"]="S";A["Ш"]="Sh";A["Щ"]="Shch";A["Т"]="T";A["У"]="U";A["В"]="V";A["Ы"]="Y";A["З"]="Z";A["Ж"]="Zh";A["ъ"]="";A["ь"]="";A["а"]="a";A["б"]="b";A["ц"]="c";A["ч"]="ch";A["д"]="d";A["е"]="e";A["ё"]="e";A["э"]="e";A["ф"]="f";A["г"]="g";A["х"]="h";A["и"]="i";A["й"]="j";A["я"]="ja";A["ю"]="ju";A["к"]="k";A["л"]="l";A["м"]="m";A["н"]="n";A["о"]="o";A["п"]="p";A["р"]="r";A["с"]="s";A["ш"]="sh";A["щ"]="shch";A["т"]="t";A["у"]="u";A["в"]="v";A["ы"]="y";A["з"]="z";A["ж"]="zh";A["Ä"]="AE";A["Ö"]="OE";A["Ü"]="UE";A["ß"]="ss";A["ä"]="ae";A["ö"]="oe";A["ü"]="ue";A["Ç"]="C";A["Ğ"]="G";A["İ"]="I";A["Ş"]="S";A["ç"]="c";A["ğ"]="g";A["ı"]="i";A["ş"]="s";A["Ā"]="A";A["Ē"]="E";A["Ģ"]="G";A["Ī"]="I";A["Ķ"]="K";A["Ļ"]="L";A["Ņ"]="N";A["Ū"]="U";A["ā"]="a";A["ē"]="e";A["ģ"]="g";A["ī"]="i";A["ķ"]="k";A["ļ"]="l";A["ņ"]="n";A["ū"]="u";A["Ґ"]="G";A["І"]="I";A["Ї"]="Ji";A["Є"]="Ye";A["ґ"]="g";A["і"]="i";A["ї"]="ji";A["є"]="ye";A["Č"]="C";A["Ď"]="D";A["Ě"]="E";A["Ň"]="N";A["Ř"]="R";A["Š"]="S";A["Ť"]="T";A["Ů"]="U";A["Ž"]="Z";A["č"]="c";A["ď"]="d";A["ě"]="e";A["ň"]="n";A["ř"]="r";A["š"]="s";A["ť"]="t";A["ů"]="u";A["ž"]="z";A["Ą"]="A";A["Ć"]="C";A["Ę"]="E";A["Ł"]="L";A["Ń"]="N";A["Ó"]="O";A["Ś"]="S";A["Ź"]="Z";A["Ż"]="Z";A["ą"]="a";A["ć"]="c";A["ę"]="e";A["ł"]="l";A["ń"]="n";A["ó"]="o";A["ś"]="s";A["ź"]="z";A["ż"]="z";A["Α"]="A";A["Β"]="B";A["Γ"]="G";A["Δ"]="D";A["Ε"]="E";A["Ζ"]="Z";A["Η"]="E";A["Θ"]="Th";A["Ι"]="I";A["Κ"]="K";A["Λ"]="L";A["Μ"]="M";A["Ν"]="N";A["Ξ"]="X";A["Ο"]="O";A["Π"]="P";A["Ρ"]="R";A["Σ"]="S";A["Τ"]="T";A["Υ"]="Y";A["Φ"]="Ph";A["Χ"]="Ch";A["Ψ"]="Ps";A["Ω"]="O";A["Ϊ"]="I";A["Ϋ"]="Y";A["ά"]="a";A["έ"]="e";A["ή"]="e";A["ί"]="i";A["ΰ"]="Y";A["α"]="a";A["β"]="b";A["γ"]="g";A["δ"]="d";A["ε"]="e";A["ζ"]="z";A["η"]="e";A["θ"]="th";A["ι"]="i";A["κ"]="k";A["λ"]="l";A["μ"]="m";A["ν"]="n";A["ξ"]="x";A["ο"]="o";A["π"]="p";A["ρ"]="r";A["ς"]="s";A["σ"]="s";A["τ"]="t";A["υ"]="y";A["φ"]="ph";A["χ"]="ch";A["ψ"]="ps";A["ω"]="o";A["ϊ"]="i";A["ϋ"]="y";A["ό"]="o";A["ύ"]="y";A["ώ"]="o";A["ϐ"]="b";A["ϑ"]="th";A["ϒ"]="Y";A["أ"]="a";A["ب"]="b";A["ت"]="t";A["ث"]="th";A["ج"]="g";A["ح"]="h";A["خ"]="kh";A["د"]="d";A["ذ"]="th";A["ر"]="r";A["ز"]="z";A["س"]="s";A["ش"]="sh";A["ص"]="s";A["ض"]="d";A["ط"]="t";A["ظ"]="th";A["ع"]="aa";A["غ"]="gh";A["ف"]="f";A["ق"]="k";A["ك"]="k";A["ل"]="l";A["م"]="m";A["ن"]="n";A["ه"]="h";A["و"]="o";A["ي"]="y";A["ạ"]="a";A["ả"]="a";A["ầ"]="a";A["ấ"]="a";A["ậ"]="a";A["ẩ"]="a";A["ẫ"]="a";A["ằ"]="a";A["ắ"]="a";A["ặ"]="a";A["ẳ"]="a";A["ẵ"]="a";A["ẹ"]="e";A["ẻ"]="e";A["ẽ"]="e";A["ề"]="e";A["ế"]="e";A["ệ"]="e";A["ể"]="e";A["ễ"]="e";A["ị"]="i";A["ỉ"]="i";A["ọ"]="o";A["ỏ"]="o";A["ồ"]="o";A["ố"]="o";A["ộ"]="o";A["ổ"]="o";A["ỗ"]="o";A["ờ"]="o";A["ớ"]="o";A["ợ"]="o";A["ở"]="o";A["ỡ"]="o";A["ụ"]="u";A["ủ"]="u";A["ừ"]="u";A["ứ"]="u";A["ự"]="u";A["ử"]="u";A["ữ"]="u";A["ỳ"]="y";A["ỵ"]="y";A["ỷ"]="y";A["ỹ"]="y";A["Ạ"]="A";A["Ả"]="A";A["Ầ"]="A";A["Ấ"]="A";A["Ậ"]="A";A["Ẩ"]="A";A["Ẫ"]="A";A["Ằ"]="A";A["Ắ"]="A";A["Ặ"]="A";A["Ẳ"]="A";A["Ẵ"]="A";A["Ẹ"]="E";A["Ẻ"]="E";A["Ẽ"]="E";A["Ề"]="E";A["Ế"]="E";A["Ệ"]="E";A["Ể"]="E";A["Ễ"]="E";A["Ị"]="I";A["Ỉ"]="I";A["Ọ"]="O";A["Ỏ"]="O";A["Ồ"]="O";A["Ố"]="O";A["Ộ"]="O";A["Ổ"]="O";A["Ỗ"]="O";A["Ờ"]="O";A["Ớ"]="O";A["Ợ"]="O";A["Ở"]="O";A["Ỡ"]="O";A["Ụ"]="U";A["Ủ"]="U";A["Ừ"]="U";A["Ứ"]="U";A["Ự"]="U";A["Ử"]="U";A["Ữ"]="U";A["Ỳ"]="Y";A["Ỵ"]="Y";A["Ỷ"]="Y";A["Ỹ"]="Y";A["က"]="k";A["ခ"]="kh";A["ဂ"]="g";A["ဃ"]="ga";A["င"]="ng";A["စ"]="s";A["ဆ"]="sa";A["ဇ"]="z";A["စျ"]="za";A["ည"]="ny";A["ဋ"]="t";A["ဌ"]="ta";A["ဍ"]="d";A["ဎ"]="da";A["ဏ"]="na";A["တ"]="t";A["ထ"]="ta";A["ဒ"]="d";A["ဓ"]="da";A["န"]="n";A["ပ"]="p";A["ဖ"]="pa";A["ဗ"]="b";A["ဘ"]="ba";A["မ"]="m";A["ယ"]="y";A["ရ"]="ya";A["လ"]="l";A["ဝ"]="w";A["သ"]="th";A["ဟ"]="h";A["ဠ"]="la";A["အ"]="a";A["ြ"]="y";A["ျ"]="ya";A["ွ"]="w";A["ြွ"]="yw";A["ျွ"]="ywa";A["ှ"]="h";A["ဧ"]="e";A["၏"]="-e";A["ဣ"]="i";A["ဤ"]="-i";A["ဉ"]="u";A["ဦ"]="-u";A["ဩ"]="aw";A["သြော"]="aw";A["ဪ"]="aw";A["၍"]="ywae";A["၌"]="hnaik";A["၀"]="0";A["၁"]="1";A["၂"]="2";A["၃"]="3";A["၄"]="4";A["၅"]="5";A["၆"]="6";A["၇"]="7";A["၈"]="8";A["၉"]="9";A["္"]="";A["့"]="";A["း"]="";A["ာ"]="a";A["ါ"]="a";A["ေ"]="e";A["ဲ"]="e";A["ိ"]="i";A["ီ"]="i";A["ို"]="o";A["ု"]="u";A["ူ"]="u";A["ေါင်"]="aung";A["ော"]="aw";A["ော်"]="aw";A["ေါ"]="aw";A["ေါ်"]="aw";A["်"]="at";A["က်"]="et";A["ိုက်"]="aik";A["ောက်"]="auk";A["င်"]="in";A["ိုင်"]="aing";A["ောင်"]="aung";A["စ်"]="it";A["ည်"]="i";A["တ်"]="at";A["ိတ်"]="eik";A["ုတ်"]="ok";A["ွတ်"]="ut";A["ေတ်"]="it";A["ဒ်"]="d";A["ိုဒ်"]="ok";A["ုဒ်"]="ait";A["န်"]="an";A["ာန်"]="an";A["ိန်"]="ein";A["ုန်"]="on";A["ွန်"]="un";A["ပ်"]="at";A["ိပ်"]="eik";A["ုပ်"]="ok";A["ွပ်"]="ut";A["န်ုပ်"]="nub";A["မ်"]="an";A["ိမ်"]="ein";A["ုမ်"]="on";A["ွမ်"]="un";A["ယ်"]="e";A["ိုလ်"]="ol";A["ဉ်"]="in";A["ံ"]="an";A["ိံ"]="ein";A["ုံ"]="on";

    for(var i = 0; i < word.length; i++) {
        var c = word.charAt(i);

        result += A[c] || c;
    }

    return result.replace(/[^a-z0-9-]/gi, '-').replace(/-+/g, '-').replace(/^-|-$/g, '').toLowerCase();
}
